- Migrate fparseln(3) from libutil to libc, where it should have been in

the first place...
- Bump libutil major (to 7.0) and libc minor (to 12.91).
This commit is contained in:
lukem 2002-11-30 03:04:44 +00:00
parent d55058d0cc
commit b1e79510cf
15 changed files with 100 additions and 196 deletions

View File

@ -1,4 +1,4 @@
# $NetBSD: shl.elf,v 1.61 2002/10/07 22:46:24 lukem Exp $
# $NetBSD: shl.elf,v 1.62 2002/11/30 03:04:44 lukem Exp $
# Note: libtermcap and libtermlib are hardlinked and share the same version.
./lib/libc.so.12 base-sys-shlib
./lib/libcrypt.so.0 base-sys-shlib
@ -10,7 +10,7 @@
./lib/libm.so.0 base-sys-shlib
./lib/libtermcap.so.0 base-sys-shlib
./lib/libtermlib.so.0 base-sys-shlib
./lib/libutil.so.6 base-sys-shlib
./lib/libutil.so.7 base-sys-shlib
./lib/libz.so.0 base-sys-shlib
./libexec/ld.elf_so base-sys-shlib
./usr/lib/i18n/libBIG5.so.4 base-i18n-shlib
@ -61,7 +61,7 @@
./usr/lib/libtermcap.so.0 base-sys-shlib
./usr/lib/libtermlib.so.0 base-sys-shlib
./usr/lib/libusbhid.so.1 base-sys-shlib
./usr/lib/libutil.so.6 base-sys-shlib
./usr/lib/libutil.so.7 base-sys-shlib
./usr/lib/libwrap.so.0 base-net-shlib
./usr/lib/libz.so.0 base-sys-shlib
./usr/libexec/ld.elf_so base-sys-shlib

View File

@ -1,6 +1,6 @@
# $NetBSD: shl.mi,v 1.185 2002/11/29 13:16:27 lukem Exp $
# $NetBSD: shl.mi,v 1.186 2002/11/30 03:04:44 lukem Exp $
# Note: libtermcap and libtermlib are hardlinked and share the same version.
./lib/libc.so.12.90 base-sys-shlib
./lib/libc.so.12.91 base-sys-shlib
./lib/libcrypt.so.0.1 base-sys-shlib
./lib/libcrypto.so.1.1 base-crypto-shlib
./lib/libdes.so.6.0 base-crypto-shlib
@ -10,7 +10,7 @@
./lib/libm.so.0.1 base-sys-shlib
./lib/libtermcap.so.0.5 base-sys-shlib
./lib/libtermlib.so.0.5 base-sys-shlib
./lib/libutil.so.6.4 base-sys-shlib
./lib/libutil.so.7.0 base-sys-shlib
./lib/libz.so.0.3 base-sys-shlib
./usr/lib/i18n/libBIG5.so.4.0 base-i18n-shlib
./usr/lib/i18n/libEUC.so.4.0 base-i18n-shlib
@ -21,7 +21,7 @@
./usr/lib/libamu.so.2.1 base-amd-shlib
./usr/lib/libasn1.so.6.1 base-krb5-shlib
./usr/lib/libbz2.so.1.0 base-sys-shlib
./usr/lib/libc.so.12.90 base-sys-shlib
./usr/lib/libc.so.12.91 base-sys-shlib
./usr/lib/libcdk.so.1.0 base-sys-shlib
./usr/lib/libcom_err.so.4.1 base-krb5-shlib
./usr/lib/libcrypt.so.0.1 base-sys-shlib
@ -60,6 +60,6 @@
./usr/lib/libtermcap.so.0.5 base-sys-shlib
./usr/lib/libtermlib.so.0.5 base-sys-shlib
./usr/lib/libusbhid.so.1.0 base-sys-shlib
./usr/lib/libutil.so.6.4 base-sys-shlib
./usr/lib/libutil.so.7.0 base-sys-shlib
./usr/lib/libwrap.so.0.2 base-net-shlib
./usr/lib/libz.so.0.3 base-sys-shlib

View File

@ -1,4 +1,4 @@
/* $NetBSD: stdio.h,v 1.45 2002/05/24 22:17:20 thorpej Exp $ */
/* $NetBSD: stdio.h,v 1.46 2002/11/30 03:04:44 lukem Exp $ */
/*-
* Copyright (c) 1990, 1993
@ -359,10 +359,18 @@ __END_DECLS
*/
#if !defined(_ANSI_SOURCE) && !defined(_POSIX_C_SOURCE) && \
!defined(_XOPEN_SOURCE)
#define FPARSELN_UNESCESC 0x01
#define FPARSELN_UNESCCONT 0x02
#define FPARSELN_UNESCCOMM 0x04
#define FPARSELN_UNESCREST 0x08
#define FPARSELN_UNESCALL 0x0f
__BEGIN_DECLS
int asprintf __P((char ** __restrict, const char * __restrict, ...))
__attribute__((__format__(__printf__, 2, 3)));
char *fgetln __P((FILE * __restrict, size_t * __restrict));
char *fparseln(FILE *, size_t *, size_t *, const char[3], int);
int fpurge __P((FILE *));
void setbuffer __P((FILE *, char *, int));
int setlinebuf __P((FILE *));

View File

@ -1,4 +1,4 @@
/* $NetBSD: util.h,v 1.27 2002/10/12 20:46:57 elric Exp $ */
/* $NetBSD: util.h,v 1.28 2002/11/30 03:04:45 lukem Exp $ */
/*-
* Copyright (c) 1995
@ -48,12 +48,6 @@
#define PIDLOCK_NONBLOCK 1
#define PIDLOCK_USEHOSTNAME 2
#define FPARSELN_UNESCESC 0x01
#define FPARSELN_UNESCCONT 0x02
#define FPARSELN_UNESCCOMM 0x04
#define FPARSELN_UNESCREST 0x08
#define FPARSELN_UNESCALL 0x0f
#define HN_DECIMAL 0x01
#define HN_NOSPACE 0x02
#define HN_B 0x04
@ -71,7 +65,6 @@ struct utmp;
struct winsize;
pid_t forkpty(int *, char *, struct termios *, struct winsize *);
char *fparseln(FILE *, size_t *, size_t *, const char[3], int);
const char *getbootfile(void);
int getmaxpartitions(void);
int getrawpartition(void);

View File

@ -1,4 +1,4 @@
/* $NetBSD: namespace.h,v 1.73 2002/11/29 12:58:16 lukem Exp $ */
/* $NetBSD: namespace.h,v 1.74 2002/11/30 03:04:45 lukem Exp $ */
/*-
* Copyright (c) 1997-2002 The NetBSD Foundation, Inc.
@ -193,6 +193,7 @@
#define fdopen _fdopen
#define fgetln _fgetln
#define fnmatch _fnmatch
#define fparseln _fparseln
#define fpgetmask _fpgetmask
#define fpgetround _fpgetround
#define fpgetsticky _fpgetsticky

View File

@ -1,4 +1,4 @@
# $NetBSD: shlib_version,v 1.123 2002/11/29 12:58:16 lukem Exp $
# $NetBSD: shlib_version,v 1.124 2002/11/30 03:04:45 lukem Exp $
# Remember to update distrib/sets/lists/base/shl.* when changing
#
# things we wish to do on next major version bump:
@ -11,4 +11,4 @@
# - libc/net/getaddrinfo.c, netdb.h: remove __ai_pad0
#
major=12
minor=90
minor=91

View File

@ -1,5 +1,5 @@
# from: @(#)Makefile.inc 5.7 (Berkeley) 6/27/91
# $NetBSD: Makefile.inc,v 1.21 2001/12/07 11:47:41 yamt Exp $
# $NetBSD: Makefile.inc,v 1.22 2002/11/30 03:04:45 lukem Exp $
# stdio sources
.PATH: ${.CURDIR}/stdio
@ -17,7 +17,7 @@ SRCS+= asprintf.c clrerr.c fclose.c fdopen.c feof.c ferror.c fflush.c \
ungetc.c vasprintf.c vfprintf.c vfscanf.c vprintf.c vscanf.c \
vsnprintf.c vsscanf.c wbuf.c wsetup.c fputwc.c \
fgetwc.c ungetwc.c putwc.c putwchar.c getwc.c getwchar.c \
fwide.c
fwide.c fparseln.c
.if !defined(AUDIT)
SRCS+= gets.c sprintf.c vsprintf.c tempnam.c tmpnam.c mktemp.c
@ -29,7 +29,7 @@ SRCS+= _fseeko.c _ftello.c
MAN+= fclose.3 ferror.3 fflush.3 fgetln.3 fgets.3 fopen.3 fputs.3 \
fread.3 fseek.3 funopen.3 getc.3 mktemp.3 perror.3 printf.3 putc.3 \
remove.3 scanf.3 setbuf.3 stdio.3 tmpnam.3 ungetc.3 putwc.3 getwc.3 \
ungetwc.3 fwide.3
ungetwc.3 fwide.3 fparseln.3
MLINKS+=ferror.3 clearerr.3 ferror.3 feof.3 ferror.3 fileno.3
MLINKS+=fflush.3 fpurge.3

View File

@ -1,4 +1,4 @@
.\" $NetBSD: fparseln.3,v 1.11 2002/10/02 10:48:26 wiz Exp $
.\" $NetBSD: fparseln.3,v 1.1 2002/11/30 03:04:45 lukem Exp $
.\"
.\" Copyright (c) 1997 Christos Zoulas. All rights reserved.
.\"
@ -27,16 +27,16 @@
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 1, 1997
.Dd November 30, 2002
.Dt FPARSELN 3
.Os
.Sh NAME
.Nm fparseln
.Nd return the next logical line from a stream
.Sh LIBRARY
.Lb libutil
.Lb libc
.Sh SYNOPSIS
.Fd #include \*[Lt]util.h\*[Gt]
.Fd #include \*[Lt]stdio.h\*[Gt]
.Ft "char *"
.Fo "fparseln"
.Fa "FILE *stream" "size_t *len" "size_t *lineno"

View File

@ -1,4 +1,4 @@
/* $NetBSD: fparseln.c,v 1.11 2002/01/21 23:33:36 lukem Exp $ */
/* $NetBSD: fparseln.c,v 1.1 2002/11/30 03:04:45 lukem Exp $ */
/*
* Copyright (c) 1997 Christos Zoulas. All rights reserved.
@ -29,21 +29,22 @@
* THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
#if HAVE_CONFIG_H
#include "config.h"
#else
#include <sys/cdefs.h>
#if defined(LIBC_SCCS) && !defined(lint)
__RCSID("$NetBSD: fparseln.c,v 1.11 2002/01/21 23:33:36 lukem Exp $");
#endif
__RCSID("$NetBSD: fparseln.c,v 1.1 2002/11/30 03:04:45 lukem Exp $");
#endif /* LIBC_SCCS and not lint */
#include "namespace.h"
#include <assert.h>
#include <errno.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <util.h>
#endif /* ! HAVE_CONFIG_H */
#ifdef __weak_alias
__weak_alias(fparseln,_fparseln)
#endif
#if ! HAVE_FPARSELN

View File

@ -1,4 +1,4 @@
# $NetBSD: Makefile,v 1.40 2002/10/12 20:53:15 elric Exp $
# $NetBSD: Makefile,v 1.41 2002/11/30 03:04:46 lukem Exp $
# @(#)Makefile 8.1 (Berkeley) 6/4/93
USE_SHLIBDIR= yes
@ -7,14 +7,14 @@ USE_SHLIBDIR= yes
LIB= util
CPPFLAGS+=-DLIBC_SCCS
SRCS= fparseln.c getbootfile.c getmaxpartitions.c getrawpartition.c \
SRCS= getbootfile.c getmaxpartitions.c getrawpartition.c \
disklabel_dkcksum.c disklabel_scan.c \
login.c loginx.c login_cap.c login_tty.c logout.c logoutx.c \
logwtmp.c logwtmpx.c opendisk.c \
passwd.c pw_scan.c pidfile.c pidlock.c pty.c secure_path.c \
snprintb.c ttyaction.c ttymsg.c
MAN= fparseln.3 getbootfile.3 getmaxpartitions.3 getrawpartition.3 \
MAN= getbootfile.3 getmaxpartitions.3 getrawpartition.3 \
login.3 login_cap.3 loginx.3 \
disklabel_dkcksum.3 disklabel_scan.3 \
opendisk.3 openpty.3 pidfile.3 pidlock.3 \

View File

@ -1,5 +1,5 @@
# $NetBSD: shlib_version,v 1.29 2002/09/20 21:10:10 christos Exp $
# $NetBSD: shlib_version,v 1.30 2002/11/30 03:04:46 lukem Exp $
# Remember to update distrib/sets/lists/base/shl.* when changing
#
major=6
minor=4
major=7
minor=0

View File

@ -1,4 +1,4 @@
.\" $NetBSD: util.3,v 1.11 2002/10/12 20:53:15 elric Exp $
.\" $NetBSD: util.3,v 1.12 2002/11/30 03:04:46 lukem Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
@ -65,7 +65,6 @@ Declarations for these functions may be obtained from the include file
disklabel_dkcksum.3 compute the checksum of a disklabel
disklabel_scan.3 scan a buffer for a valid disklabel
forkpty.3 tty utility function
fparseln.3 return the next logical line from a stream
getbootfile.3 get the name of the booted kernel file
getmaxpartitions.3 get the maximum number of partitions allowed per disk
getrawpartition.3 get the system ``raw'' partition

View File

@ -1,4 +1,4 @@
# $NetBSD: Makefile,v 1.18 2002/11/29 13:00:22 lukem Exp $
# $NetBSD: Makefile,v 1.19 2002/11/30 03:04:46 lukem Exp $
HOSTLIB= nbcompat
@ -25,7 +25,6 @@ CPPFLAGS+= -I. -I./include -I${.CURDIR} -DHAVE_CONFIG_H \
${.CURDIR}/../../lib/libc/stdio \
${.CURDIR}/../../lib/libc/stdlib \
${.CURDIR}/../../lib/libc/string \
${.CURDIR}/../../lib/libutil \
${.CURDIR}/../../usr.bin/lex
DPSRCS+= defs.mk

200
tools/compat/configure vendored
View File

@ -2563,7 +2563,7 @@ fi
done
for ac_header in machine/bswap.h sys/cdefs.h sys/endian.h sys/featuretest.h \
err.h inttypes.h libgen.h paths.h stdint.h util.h
err.h inttypes.h libgen.h paths.h stdint.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
echo "$as_me:2569: checking for $ac_header" >&5
@ -4485,102 +4485,6 @@ EOF
fi
echo "$as_me:4488: checking for library containing fparseln" >&5
echo $ECHO_N "checking for library containing fparseln... $ECHO_C" >&6
if test "${ac_cv_search_fparseln+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_func_search_save_LIBS=$LIBS
ac_cv_search_fparseln=no
cat >conftest.$ac_ext <<_ACEOF
#line 4496 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char fparseln ();
int
main ()
{
fparseln ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:4515: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:4518: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:4521: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4524: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_search_fparseln="none required"
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
if test "$ac_cv_search_fparseln" = no; then
for ac_lib in util; do
LIBS="-l$ac_lib $ac_func_search_save_LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line 4536 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char fparseln ();
int
main ()
{
fparseln ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:4555: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:4558: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:4561: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4564: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_search_fparseln="-l$ac_lib"
break
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
done
fi
LIBS=$ac_func_search_save_LIBS
fi
echo "$as_me:4577: result: $ac_cv_search_fparseln" >&5
echo "${ECHO_T}$ac_cv_search_fparseln" >&6
if test "$ac_cv_search_fparseln" != no; then
test "$ac_cv_search_fparseln" = "none required" || LIBS="$ac_cv_search_fparseln $LIBS"
fi
for ac_func in asprintf asnprintf basename dirfd dirname \
fgetln flock fparseln futimes getopt getopt_long \
isblank issetugid lchflags lchmod lchown lutimes mkstemp mkdtemp \
@ -4590,13 +4494,13 @@ for ac_func in asprintf asnprintf basename dirfd dirname \
user_from_uid vasprintf vasnprintf vsnprintf
do
as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
echo "$as_me:4593: checking for $ac_func" >&5
echo "$as_me:4497: checking for $ac_func" >&5
echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
if eval "test \"\${$as_ac_var+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 4599 "configure"
#line 4503 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func (); below. */
@ -4627,16 +4531,16 @@ f = $ac_func;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:4630: \"$ac_link\"") >&5
if { (eval echo "$as_me:4534: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:4633: \$? = $ac_status" >&5
echo "$as_me:4537: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:4636: \"$ac_try\"") >&5
{ (eval echo "$as_me:4540: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4639: \$? = $ac_status" >&5
echo "$as_me:4543: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$as_ac_var=yes"
else
@ -4646,7 +4550,7 @@ eval "$as_ac_var=no"
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
echo "$as_me:4649: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "$as_me:4553: result: `eval echo '${'$as_ac_var'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
if test `eval echo '${'$as_ac_var'}'` = yes; then
cat >>confdefs.h <<EOF
@ -4656,13 +4560,13 @@ EOF
fi
done
echo "$as_me:4659: checking whether setgroupent is declared" >&5
echo "$as_me:4563: checking whether setgroupent is declared" >&5
echo $ECHO_N "checking whether setgroupent is declared... $ECHO_C" >&6
if test "${ac_cv_have_decl_setgroupent+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 4665 "configure"
#line 4569 "configure"
#include "confdefs.h"
#include <grp.h>
@ -4680,16 +4584,16 @@ main ()
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:4683: \"$ac_compile\"") >&5
if { (eval echo "$as_me:4587: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:4686: \$? = $ac_status" >&5
echo "$as_me:4590: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:4689: \"$ac_try\"") >&5
{ (eval echo "$as_me:4593: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4692: \$? = $ac_status" >&5
echo "$as_me:4596: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_have_decl_setgroupent=yes
else
@ -4699,7 +4603,7 @@ ac_cv_have_decl_setgroupent=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$as_me:4702: result: $ac_cv_have_decl_setgroupent" >&5
echo "$as_me:4606: result: $ac_cv_have_decl_setgroupent" >&5
echo "${ECHO_T}$ac_cv_have_decl_setgroupent" >&6
if test $ac_cv_have_decl_setgroupent = yes; then
@ -4713,13 +4617,13 @@ else
EOF
fi
echo "$as_me:4716: checking whether setpassent is declared" >&5
echo "$as_me:4620: checking whether setpassent is declared" >&5
echo $ECHO_N "checking whether setpassent is declared... $ECHO_C" >&6
if test "${ac_cv_have_decl_setpassent+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
#line 4722 "configure"
#line 4626 "configure"
#include "confdefs.h"
#include <grp.h>
@ -4737,16 +4641,16 @@ main ()
}
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:4740: \"$ac_compile\"") >&5
if { (eval echo "$as_me:4644: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:4743: \$? = $ac_status" >&5
echo "$as_me:4647: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:4746: \"$ac_try\"") >&5
{ (eval echo "$as_me:4650: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4749: \$? = $ac_status" >&5
echo "$as_me:4653: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_have_decl_setpassent=yes
else
@ -4756,7 +4660,7 @@ ac_cv_have_decl_setpassent=no
fi
rm -f conftest.$ac_objext conftest.$ac_ext
fi
echo "$as_me:4759: result: $ac_cv_have_decl_setpassent" >&5
echo "$as_me:4663: result: $ac_cv_have_decl_setpassent" >&5
echo "${ECHO_T}$ac_cv_have_decl_setpassent" >&6
if test $ac_cv_have_decl_setpassent = yes; then
@ -4774,7 +4678,7 @@ fi
# regcomp() and regexec() are also names of functions in the old V8
# regexp package. To avoid them, we need to find out who has regfree().
echo "$as_me:4777: checking for regfree in -lregex" >&5
echo "$as_me:4681: checking for regfree in -lregex" >&5
echo $ECHO_N "checking for regfree in -lregex... $ECHO_C" >&6
if test "${ac_cv_lib_regex_regfree+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -4782,7 +4686,7 @@ else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lregex $LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line 4785 "configure"
#line 4689 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@ -4801,16 +4705,16 @@ regfree ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:4804: \"$ac_link\"") >&5
if { (eval echo "$as_me:4708: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:4807: \$? = $ac_status" >&5
echo "$as_me:4711: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:4810: \"$ac_try\"") >&5
{ (eval echo "$as_me:4714: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4813: \$? = $ac_status" >&5
echo "$as_me:4717: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_regex_regfree=yes
else
@ -4821,7 +4725,7 @@ fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:4824: result: $ac_cv_lib_regex_regfree" >&5
echo "$as_me:4728: result: $ac_cv_lib_regex_regfree" >&5
echo "${ECHO_T}$ac_cv_lib_regex_regfree" >&6
if test $ac_cv_lib_regex_regfree = yes; then
cat >>confdefs.h <<EOF
@ -4832,7 +4736,7 @@ EOF
fi
echo "$as_me:4835: checking for library containing regfree" >&5
echo "$as_me:4739: checking for library containing regfree" >&5
echo $ECHO_N "checking for library containing regfree... $ECHO_C" >&6
if test "${ac_cv_search_regfree+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -4840,7 +4744,7 @@ else
ac_func_search_save_LIBS=$LIBS
ac_cv_search_regfree=no
cat >conftest.$ac_ext <<_ACEOF
#line 4843 "configure"
#line 4747 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@ -4859,16 +4763,16 @@ regfree ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:4862: \"$ac_link\"") >&5
if { (eval echo "$as_me:4766: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:4865: \$? = $ac_status" >&5
echo "$as_me:4769: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:4868: \"$ac_try\"") >&5
{ (eval echo "$as_me:4772: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4871: \$? = $ac_status" >&5
echo "$as_me:4775: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_search_regfree="none required"
else
@ -4880,7 +4784,7 @@ if test "$ac_cv_search_regfree" = no; then
for ac_lib in rx posix; do
LIBS="-l$ac_lib $ac_func_search_save_LIBS"
cat >conftest.$ac_ext <<_ACEOF
#line 4883 "configure"
#line 4787 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
@ -4899,16 +4803,16 @@ regfree ();
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:4902: \"$ac_link\"") >&5
if { (eval echo "$as_me:4806: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:4905: \$? = $ac_status" >&5
echo "$as_me:4809: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:4908: \"$ac_try\"") >&5
{ (eval echo "$as_me:4812: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:4911: \$? = $ac_status" >&5
echo "$as_me:4815: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_search_regfree="-l$ac_lib"
break
@ -4921,7 +4825,7 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
LIBS=$ac_func_search_save_LIBS
fi
echo "$as_me:4924: result: $ac_cv_search_regfree" >&5
echo "$as_me:4828: result: $ac_cv_search_regfree" >&5
echo "${ECHO_T}$ac_cv_search_regfree" >&6
if test "$ac_cv_search_regfree" != no; then
test "$ac_cv_search_regfree" = "none required" || LIBS="$ac_cv_search_regfree $LIBS"
@ -5007,7 +4911,7 @@ DEFS=-DHAVE_CONFIG_H
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
{ echo "$as_me:5010: creating $CONFIG_STATUS" >&5
{ echo "$as_me:4914: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@ -5179,7 +5083,7 @@ cat >>$CONFIG_STATUS <<\EOF
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
{ { echo "$as_me:5182: error: ambiguous option: $1
{ { echo "$as_me:5086: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@ -5198,7 +5102,7 @@ Try \`$0 --help' for more information." >&2;}
ac_need_defaults=false;;
# This is an error.
-*) { { echo "$as_me:5201: error: unrecognized option: $1
-*) { { echo "$as_me:5105: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
@ -5235,7 +5139,7 @@ do
# Handling of arguments.
"defs.mk" ) CONFIG_FILES="$CONFIG_FILES defs.mk" ;;
"config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
*) { { echo "$as_me:5238: error: invalid argument: $ac_config_target" >&5
*) { { echo "$as_me:5142: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
@ -5435,7 +5339,7 @@ done; }
esac
if test x"$ac_file" != x-; then
{ echo "$as_me:5438: creating $ac_file" >&5
{ echo "$as_me:5342: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@ -5453,7 +5357,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:5456: error: cannot find input file: $f" >&5
test -f "$f" || { { echo "$as_me:5360: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@ -5466,7 +5370,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:5469: error: cannot find input file: $f" >&5
{ { echo "$as_me:5373: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@ -5526,7 +5430,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
* ) ac_file_in=$ac_file.in ;;
esac
test x"$ac_file" != x- && { echo "$as_me:5529: creating $ac_file" >&5
test x"$ac_file" != x- && { echo "$as_me:5433: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise in the
@ -5537,7 +5441,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:5540: error: cannot find input file: $f" >&5
test -f "$f" || { { echo "$as_me:5444: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@ -5550,7 +5454,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:5553: error: cannot find input file: $f" >&5
{ { echo "$as_me:5457: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@ -5667,7 +5571,7 @@ cat >>$CONFIG_STATUS <<\EOF
rm -f $tmp/in
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
{ echo "$as_me:5670: $ac_file is unchanged" >&5
{ echo "$as_me:5574: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \

View File

@ -1,4 +1,4 @@
# $NetBSD: configure.ac,v 1.29 2002/11/29 13:00:24 lukem Exp $
# $NetBSD: configure.ac,v 1.30 2002/11/30 03:04:46 lukem Exp $
#
# Autoconf definition file for libnbcompat.
#
@ -39,7 +39,7 @@ AC_HEADER_DIRENT
AC_CHECK_HEADERS(sys/sysmacros.h sys/syslimits.h \
features.h malloc.h poll.h stddef.h)
AC_CHECK_HEADERS(machine/bswap.h sys/cdefs.h sys/endian.h sys/featuretest.h \
err.h inttypes.h libgen.h paths.h stdint.h util.h,,
err.h inttypes.h libgen.h paths.h stdint.h,,
[test -f include/$ac_header || touch include/$ac_header])
AC_CHECK_HEADERS(rpc/types.h getopt.h netconfig.h,,
[echo '#include "config.h"' >include/$ac_header.new
@ -92,7 +92,6 @@ AC_CHECK_DECLS(sys_signame,,, [#include <signal.h>])
# Library functions (where a .h check isn't enough).
AC_FUNC_ALLOCA
AC_SEARCH_LIBS(fparseln, util)
AC_CHECK_FUNCS(asprintf asnprintf basename dirfd dirname \
fgetln flock fparseln futimes getopt getopt_long \
isblank issetugid lchflags lchmod lchown lutimes mkstemp mkdtemp \